Get
/v2/identity/users/me/subscriptionSets
Returns the list of subscription set for a specifc entity type CUSTOMER or PARTNER.
Required permissions: READ_SUBSCRIPTION.
Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired
The name of the target tenant (e.g. acme).
Query parameters
type
stringRequired
The subscription type to be retrieved.
Valid values[
"CUSTOMER",
"PARTNER"
]
Minimum1.0
Responses
200
Successful operation.
object
content
Array of object (SubscriptionSet)
object
id
string
Example68de40fc2f33393e618e5a57
type
string
Valid values[
"CUSTOMER",
"PARTNER"
]
ExampleCUSTOMER
customerId
string
Example661fa918281ccf25619dc5cc
partnerId
string
Example661fa918281ccf25619dc5cc
activationTimestamp
integer (int64)
Example1759396092423
renewalTimestamp
integer (int64)
Example1790932092423
duration
string
Valid values[
"YEAR_1"
]
ExampleYEAR_1
subscriptionThings
Array of object (SubscriptionThing)
object
thingId
string
Example6620e4a542541977c406b921
subscriptionPlan
object (SubscriptionPlan)
digitalServiceId
string
Example69b983f6162d293e457ba931
deactivating
boolean
ExampleFalse
subscriptionAddOns
Array of object (SubscriptionAddOn)
object
digitalServiceId
string
Example68de40642f33393e618e5a26
deactivating
boolean
ExampleFalse
trialUnavailable
boolean
ExampleTrue
subscriptionPlan
object (SubscriptionPlan)
digitalServiceId
string
Example69b983f6162d293e457ba931
deactivating
boolean
ExampleFalse
subscriptionAddOns
Array of object (SubscriptionAddOn)
object
digitalServiceId
string
Example68de40642f33393e618e5a26
deactivating
boolean
ExampleFalse
status
string
Valid values[
"ACTIVE",
"SUSPENDED"
]
ExampleACTIVE
renewalFee
number
Example0100-06-01T00:00:00Z
undiscountedRenewalFee
number
Example120
paymentStatus
string
Valid values[
"PENDING",
"PAID"
]
ExamplePENDING
pendingPaymentCount
integer
Example3
paymentMethod
object
customerName
string
ExampleAbon Metal
partnerName
string
ExampleAllServices
expiringNotified
boolean
trialUnavailable
boolean
discountPercentage
number
Example20
first
boolean
last
boolean
totalPages
integer
totalElements
integer
sort
string
numberOfElements
integer
size
integer
number
integer
Minimum0.0
401
User not authenticated.
object
message
string
The error response.
ExampleUser not authenticated
403
User not authorized.
object
message
string
The error response.
ExampleUser not authorized
404
Resource was not found.
object
message
string
The error response.
ExampleResource not found
429
API call rate limit exeeded.
object
message
string
The error response.
ExampleAPI call rate limit exeeded
500
Internal server error.
object
message
string
The error response.
ExampleInternal Server Error